<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for announcement in announcement package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  announcement module in announcement package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Announcement',
    'names'         => 'Announcements',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Announcements',
        'sub'   => 'Announcements',
        'list'  => 'List of announcements',
        'edit'  => 'Edit announcement',
        'create'    => 'Create new announcement'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'slug'                       => 'Please enter slug',
        'name'                       => 'Please enter name',
        'status'                     => 'Please select status',
        'details'                    => 'Please enter details',
        'files'                      => 'Please enter files',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'slug'                       => 'Slug',
        'name'                       => 'Name',
        'status'                     => 'Status',
        'details'                    => 'Details',
        'files'                      => 'Files',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Announcements',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
