    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#announcement" data-toggle="tab">{!! trans('announcement::announcement.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#announcement-announcement-edit'  data-load-to='#announcement-announcement-entry' data-datatable='#announcement-announcement-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#announcement-announcement-entry' data-href='{{guard_url('announcement/announcement')}}/{{$announcement->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('announcement-announcement-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('announcement/announcement/'. $announcement->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="announcement">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('announcement::announcement.name') !!} [{!!$announcement->name!!}] </div>
                @include('announcement::admin.announcement.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>