            @include('announcement::announcement.partial.header')

            <section class="single">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">
                            @include('announcement::announcement.partial.aside')
                        </div>
                        <div class="col-md-9 ">
                            <div class="area">
                                <div class="item">
                                    <div class="feature">
                                        <img class="img-responsive center-block" src="{!!url($announcement->defaultImage('images' , 'xl'))!!}" alt="{{$announcement->title}}">
                                    </div>
                                    <div class="content">
                                        <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="id">
                    {!! trans('announcement::announcement.label.id') !!}
                </label><br />
                    {!! $announcement['id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('announcement::announcement.label.slug') !!}
                </label><br />
                    {!! $announcement['slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="name">
                    {!! trans('announcement::announcement.label.name') !!}
                </label><br />
                    {!! $announcement['name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="status">
                    {!! trans('announcement::announcement.label.status') !!}
                </label><br />
                    {!! $announcement['status'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="details">
                    {!! trans('announcement::announcement.label.details') !!}
                </label><br />
                    {!! $announcement['details'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="files">
                    {!! trans('announcement::announcement.label.files') !!}
                </label><br />
                    {!! $announcement['files'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_id">
                    {!! trans('announcement::announcement.label.user_id') !!}
                </label><br />
                    {!! $announcement['user_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="user_type">
                    {!! trans('announcement::announcement.label.user_type') !!}
                </label><br />
                    {!! $announcement['user_type'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="created_at">
                    {!! trans('announcement::announcement.label.created_at') !!}
                </label><br />
                    {!! $announcement['created_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="updated_at">
                    {!! trans('announcement::announcement.label.updated_at') !!}
                </label><br />
                    {!! $announcement['updated_at'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="deleted_at">
                    {!! trans('announcement::announcement.label.deleted_at') !!}
                </label><br />
                    {!! $announcement['deleted_at'] !!}
            </div>
        </div>
    </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('announcement::announcement.label.name'))
                       -> placeholder(trans('announcement::announcement.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::textarea ('details')
                    -> label(trans('announcement::announcement.label.details'))
                    -> placeholder(trans('announcement::announcement.placeholder.details'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('files')
                       -> label(trans('announcement::announcement.label.files'))
                       -> placeholder(trans('announcement::announcement.placeholder.files'))!!}
                </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>



