<?php

namespace Kscc\Announcement\Repositories\Eloquent;

use Kscc\Announcement\Interfaces\AnnouncementRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class AnnouncementRepository extends BaseRepository implements AnnouncementRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('kscc.announcement.announcement.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('kscc.announcement.announcement.model.model');
    }
}
